%define lib_major		4
%define lib_name		%mklibname %{name} %{lib_major}
%define lib_name_devel		%mklibname %{name} -d
%define lib_name_static_devel	%mklibname %{name} -d -s

Summary:	Multiple-precision floating-point computations with correct rounding
Name:		mpfr
Version:	3.1.5
Release:	%mkrel 1
Epoch:		0
License:	LGPLv3+
Group:		System/Libraries
URL:		http://www.mpfr.org/
Source0:	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz
Source1:	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.xz.asc
BuildRequires:	libgmp-devel

%description
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n	%{lib_name}
Summary:	Multiple-precision floating-point computations with correct rounding
Group:		System/Libraries

%description -n	%{lib_name}
The MPFR library is a C library for multiple-precision
floating-point computations with correct rounding. 

%package -n	%{lib_name_devel}
Summary:	Development headers and libraries for MPFR
Group:		Development/C
Requires(post):	info-install
Requires(preun):	info-install
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d %name 1

%description -n	%{lib_name_devel}
The development headers and libraries for the MPFR library.

%package -n	%{lib_name_static_devel}
Summary:	Static libraries for MPFR
Group:		Development/C
Requires:	%{lib_name_devel} = %{epoch}:%{version}-%{release}
Provides:	lib%{name}-static-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-static-devel = %{epoch}:%{version}-%{release}
Obsoletes:	%mklibname -d -s %name 1

%description -n	%{lib_name_static_devel}
Static libraries for the MPFR library.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--enable-shared \
	--enable-thread-safe

%make

%install
%makeinstall_std

rm -rf installed-docs
mv %{buildroot}%{_docdir}/%{name} installed-docs

rm -f %{buildroot}%{_libdir}/libmpfr.la

%check
make check

%post -n %{lib_name_devel}
%_install_info %{name}.info

%preun -n %{lib_name_devel}
%_remove_install_info %{name}.info

%files -n %{lib_name}
%{_libdir}/libmpfr.so.%{lib_major}{,.*}

%files -n %{lib_name_devel}
%doc installed-docs/*
%{_includedir}/mpfr.h
%{_includedir}/mpf2mpfr.h
%{_infodir}/mpfr.info*
%{_libdir}/libmpfr.so

%files -n %{lib_name_static_devel}
%{_libdir}/libmpfr.a


%changelog
* Wed Oct 26 2016 luigiwalser <luigiwalser> 0:3.1.5-1.mga6
+ Revision: 1063591
- 3.1.5

* Fri Mar 11 2016 luigiwalser <luigiwalser> 0:3.1.4-1.mga6
+ Revision: 989161
- 3.1.4

* Fri Jan 01 2016 luigiwalser <luigiwalser> 0:3.1.3-1.mga6
+ Revision: 917569
- 3.1.3
- add 3.1.3-p5 upstream bugfix patch

* Tue Dec 09 2014 luigiwalser <luigiwalser> 0:3.1.2-7.mga5
+ Revision: 802352
- update to upstream patch p11 to fix buffer overflow in mpfr_strtofr
  (CVE-2014-9474)

* Wed Oct 15 2014 umeabot <umeabot> 0:3.1.2-6.mga5
+ Revision: 742189
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:3.1.2-5.mga5
+ Revision: 727358
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:3.1.2-4.mga5
+ Revision: 682643
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 0:3.1.2-3.mga5
+ Revision: 670183
- update to upstream patch level p10

* Sat Oct 19 2013 umeabot <umeabot> 0:3.1.2-2.mga4
+ Revision: 523172
- Mageia 4 Mass Rebuild

* Fri Mar 29 2013 mitya <mitya> 0:3.1.2-1.mga3
+ Revision: 406539
- New version 3.1.2

* Sat Jan 12 2013 umeabot <umeabot> 0:3.1.1-2.mga3
+ Revision: 360415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 07 2012 mitya <mitya> 0:3.1.1-1.mga3
+ Revision: 268752
- New version 3.1.1

* Tue Dec 27 2011 mitya <mitya> 0:3.1.0-1.mga2
+ Revision: 188191
- Really remove .la files
- Update to latest upstream release
- remove .la files

* Wed Apr 20 2011 pterjan <pterjan> 0:3.0.1-1.mga1
+ Revision: 89004
- Update to 3.0.1

* Sat Jan 15 2011 mikala <mikala> 0:3.0.0-3.mga1
+ Revision: 18270
- Drop mdk macros
- Remove BuildRoot
- imported package mpfr

